SeExpr

Public Types | List of all members
SeExpr2::static_if< c, T1, T2 > Struct Template Reference

Static conditional type true case. More...

`#include <Vec.h>`

## Public Types
typedef T1 | TYPE

## Detailed Description

### template<bool c, class T1, class T2>
struct SeExpr2::static_if< c, T1, T2 >

Static conditional type true case.

Definition at line 59 of file Vec.h.

## Member Typedef Documentation

## ◆ TYPE

template<bool c, class T1, class T2>

typedef T1 SeExpr2::static_if< c, T1, T2 >::TYPE

Definition at line 60 of file Vec.h.

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Vec.h